Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.util
[Java] Class PatternSet

    java.lang.Object
      org.gradle.api.tasks.util.PatternSet

All Implemented Interfaces:
  AntBuilderAware, PatternFilterable

    public class PatternSet

Standalone implementation of PatternFilterable.

Method Summary
`Object` | `addToAntBuilder(Object node, String childNodeName)`
`PatternSet` | `copyFrom(PatternFilterable sourcePattern)`
`boolean` | `equals(Object o)`
`PatternSet` | `exclude(String... excludes)`
`PatternSet` | `exclude(Iterable excludes)`
`PatternSet` | `exclude(Spec spec)`
`PatternSet` | `exclude(Closure closure)`
`PatternSet` | `excludeSpecs(Iterable excludes)`
`Spec` | `getAsExcludeSpec()`
`Spec` | `getAsIncludeSpec()`
`Spec` | `getAsSpec()`
`Set` | `getExcludeSpecs()`
`Set` | `getExcludes()`
`Set` | `getIncludeSpecs()`
`Set` | `getIncludes()`
`int` | `hashCode()`
`PatternSet` | `include(String... includes)`
`PatternSet` | `include(Iterable includes)`
`PatternSet` | `include(Spec spec)`
`PatternSet` | `include(Closure closure)`
`PatternSet` | `includeSpecs(Iterable includeSpecs)`
`PatternSet` | `intersect()`
`boolean` | `isCaseSensitive()`
`void` | `setCaseSensitive(boolean caseSensitive)`
`PatternSet` | `setExcludes(Iterable excludes)`
`PatternSet` | `setIncludes(Iterable includes)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### addToAntBuilder

    public Object addToAntBuilder(Object node, String childNodeName)

### copyFrom

    public PatternSet copyFrom(PatternFilterable sourcePattern)

### equals

    @Override
    public boolean equals(Object o)

### exclude

    public PatternSet exclude(String... excludes)

### exclude

    public PatternSet exclude(Iterable excludes)

### exclude

    public PatternSet exclude(Spec spec)

### exclude

    public PatternSet exclude(Closure closure)

### excludeSpecs

    public PatternSet excludeSpecs(Iterable excludes)

### getAsExcludeSpec

    public Spec getAsExcludeSpec()

### getAsIncludeSpec

    public Spec getAsIncludeSpec()

### getAsSpec

    public Spec getAsSpec()

### getExcludeSpecs

    public Set getExcludeSpecs()

### getExcludes

    public Set getExcludes()

### getIncludeSpecs

    public Set getIncludeSpecs()

### getIncludes

    public Set getIncludes()

### hashCode

    @Override
    public int hashCode()

### include

    public PatternSet include(String... includes)

### include

    public PatternSet include(Iterable includes)

### include

    public PatternSet include(Spec spec)

### include

    public PatternSet include(Closure closure)

### includeSpecs

    public PatternSet includeSpecs(Iterable includeSpecs)

### intersect

    public PatternSet intersect()

### isCaseSensitive

    public boolean isCaseSensitive()

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

### setExcludes

    public PatternSet setExcludes(Iterable excludes)

### setIncludes

    public PatternSet setIncludes(Iterable includes)

Gradle API 1.10